#include <stdbool.h>
// AVAILABLE CHECK TYPES
//    PICOTEST_ASSERT(check1);
//    PICOTEST_VERIFY(0, "BETA");
//    PICOTEST_ABORT();

int longestWord(char text[]);

// TODO : Show the result of the function in the text of the message

PICOTEST_SUITE(mainSuite, SIMPLE_TESTS)
PICOTEST_CASE(SIMPLE_TESTS) {
    int R;
    PICOTEST_VERIFY(
        (R=longestWord("This is the simplest test!")) == 8,
        "Longest word in the middle"
    );
    PICOTEST_VERIFY(
        (R=longestWord("Superior text is missing")) == 8,
        "Longest word in the beginning"
    );
    PICOTEST_VERIFY(
        (R=longestWord("Our best era is the hardest")) == 7,
        "Longest word in the end"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A b c D e f g h i j k l m n o p q r s t u v w x y z")) == 1,
        "Single letter words"
    );
    PICOTEST_VERIFY(
        (R=longestWord("0 1 2 3 4 5 6 7 8 9")) == 0,
        "No words"
    );
    PICOTEST_VERIFY(
        (R=longestWord("And the super_word is precious")) == 8,
        "Strange character class testing"
    );
    PICOTEST_VERIFY(
        (R=longestWord("LONGEST word in caps")) == 7,
        "Longest word in capitals"
    );
    PICOTEST_VERIFY(
        (R=longestWord("The longest word not IN caps")) == 7,
        "Longest word not in capitals"
    );
    PICOTEST_VERIFY(
        (R=longestWord("LONGEST WORD IN lowercase LETTERS")) == 9,
        "Longest word the only in lowercase"
    );
    PICOTEST_VERIFY(
        (R=longestWord("Long word in more spaces   zavarakatranemia   ileos!")) == 16,
        "Longest word with extra space around it"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A longest+ word")) == 7,
        "Longest word with special character + appended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A longest- word")) == 7,
        "Longest word with special character - appended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A longest* word")) == 7,
        "Longest word with special character * appended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A longest0 word")) == 7,
        "Longest word with special character 0 appended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A longest= word")) == 7,
        "Longest word with special character = appended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A longest~ word")) == 7,
        "Longest word with special character ~ appended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A +longest word")) == 7,
        "Longest word with special character + prepended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A -longest word")) == 7,
        "Longest word with special character - prepended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A *longest word")) == 7,
        "Longest word with special character * prepended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A 0longest word")) == 7,
        "Longest word with special character 0 prepended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A =longest word")) == 7,
        "Longest word with special character = prepended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("A ~longest word")) == 7,
        "Longest word with special character ~ prepended"
    );
    PICOTEST_VERIFY(
        (R=longestWord("Monotone")) == 8,
        "Single word"
    );
    PICOTEST_VERIFY(
        (R=longestWord("")) == 0,
        "Empty text"
    );
}

//PICOTEST_SUITE(mainSuite, RANGE_TESTS, BOUNDARY_TESTS)
//
//PICOTEST_CASE(RANGE_TESTS) {
//    int v5in1_2 = !isInRange(5, 1, 2);
//    PICOTEST_VERIFY(v5in1_2, "isInRange(5,1,2) returns unexpected result!");
//    int v5in1_8 = isInRange(5, 1, 8);
//    PICOTEST_VERIFY(v5in1_8, "isInRange(5,1,8) returns unexpected result!");
//}
//PICOTEST_CASE(BOUNDARY_TESTS) {
//    int v5in1_5 = isInRange(5,1,5);
//    PICOTEST_VERIFY(v5in1_5, "isInRange(5,1,5) returns unexpected result!");
//    int v1in1_5 = isInRange(1,1,5);
//    PICOTEST_VERIFY(v5in1_5, "isInRange(1,1,5) returns unexpected result!");
//}
//PICOTEST_CASE(aktina_0) {
//}
//PICOTEST_CASE(aktina_PI) {
//}
